## ttygif 1.4.0

=== Makefile ===
CC = gcc
VERSION = '"1.4.0"'
CFLAGS = -O2 -Wall -DVERSION=$(VERSION)
PREFIX ?= /usr/local

UNAME := $(shell uname)
ifeq ($(UNAME), Darwin)
	CFLAGS += -DOS_DARWIN
endif
ifeq ($(UNAME), Linux)
	CFLAGS += -DOS_LINUX
endif

all: ttygif

ttygif: ttygif.o io.o string_builder.o utils.o
	$(CC) $(CFLAGS) -o ttygif ttygif.o io.o string_builder.o utils.o

install: ttygif
	mkdir -p $(PREFIX)/bin
	cp ttygif $(PREFIX)/bin/ttygif

clean:
	rm -f *.o ttygif ttyrecord *~

=== debian/changelog ===
ttygif (1.4.0-2) unstable; urgency=medium

  * Update gcc build dependency (Closes: #944175)

 -- Federico Ceratto <federico@debian.org>  Wed, 06 Nov 2019 22:41:34 +0000

ttygif (1.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #855089)

 -- Federico Ceratto <federico@debian.org>  Sat, 29 Sep 2018 16:11:24 +0100

=== debian/control ===
Source: ttygif
Section: utils
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends: debhelper (>= 11~),
 gcc (>= 4:9.0.0)
Standards-Version: 4.2.1
Homepage: https://github.com/icholy/ttygif
Vcs-Browser: https://salsa.debian.org/debian/ttygif
Vcs-Git: https://salsa.debian.org/debian/ttygif.git


Package: ttygif
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, imagemagick, ttyrec, x11-apps
Description: generate gif animations from ttyrec terminal recordings
 Usage:
 Record a terminal session with "ttyrec <filename>". Terminate with Ctrl-D
 Run "ttygif <filename>" to generate a gif animation.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/ttygif/bin
	cp ttygif $(CURDIR)/debian/ttygif/bin/ttygif

## ttygif 1.5.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CC = gcc
 VERSION = '"1.4.0"'
-CFLAGS = -O2 -Wall -DVERSION=$(VERSION)
+CFLAGS += -O2 -Wall -DVERSION=$(VERSION)
 PREFIX ?= /usr/local
 
 UNAME := $(shell uname)
@@ -17,8 +17,11 @@
 	$(CC) $(CFLAGS) -o ttygif ttygif.o io.o string_builder.o utils.o
 
 install: ttygif
-	mkdir -p $(PREFIX)/bin
-	cp ttygif $(PREFIX)/bin/ttygif
+	install -d $(PREFIX)/bin
+	install -m755 ttygif $(PREFIX)/bin/ttygif
+
+uninstall: $(PREFIX)/bin/ttygif
+	rm -f $(PREFIX)/bin/ttygif
 
 clean:
 	rm -f *.o ttygif ttyrecord *~

=== debian/changelog ===
ttygif (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * Move executable location (Closes: #914372)

 -- Federico Ceratto <federico@debian.org>  Sat, 23 May 2020 17:08:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
  gcc (>= 4:9.0.0)
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/icholy/ttygif
 Vcs-Browser: https://salsa.debian.org/debian/ttygif
 Vcs-Git: https://salsa.debian.org/debian/ttygif.git
-
 
 Package: ttygif
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,5 @@
 	dh $@
 
 override_dh_auto_install:
-	mkdir -p $(CURDIR)/debian/ttygif/bin
-	cp ttygif $(CURDIR)/debian/ttygif/bin/ttygif
+	mkdir -p $(CURDIR)/debian/ttygif/usr/bin
+	cp ttygif $(CURDIR)/debian/ttygif/usr/bin/ttygif

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ttygif-$1\.tar\.gz/ \
  https://github.com/icholy/ttygif/tags .*/v?(\d\S*)\.tar\.gz
